Register a new user (requires pre-verified OTP)
POST
/v1/auth/registerRequest body
requiredapplication/jsonemailstringrequiredUser email address
min length 1
namestringUser full name (optional)
passwordstringrequiredPassword (min 8 characters)
min length 8
referral_codestringOptional referral code from invite link
telemetry_idstringOptional device fingerprint telemetry ID
Responses
201Created
created_atstringrequiredemailstringrequiredemail_verifiedbooleanrequiredfirst_namestringidstringrequiredimagestring | nullrequiredlast_namestringnamestringrequiredtimezonestringrequiredweek_startstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring409Conflict
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/auth/register" \
-H "Content-Type: application/json" \
-d '{
"email": "string",
"name": "string",
"password": "string",
"referral_code": "string",
"telemetry_id": "string"
}'const response = await fetch("/v1/auth/register", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"email": "string",
"name": "string",
"password": "string",
"referral_code": "string",
"telemetry_id": "string"
})
});import requests
response = requests.post(
"/v1/auth/register",
headers={
"Content-Type": "application/json"
},
json={
"email": "string",
"name": "string",
"password": "string",
"referral_code": "string",
"telemetry_id": "string"
},
)Response
{
"created_at": "string",
"email": "string",
"email_verified": true,
"first_name": "string",
"id": "string",
"image": "string",
"last_name": "string",
"name": "string",
"timezone": "string",
"week_start": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}